hdf_set_buf(3)

NAME
hdf_set_buf - Set the value of a node without duplicating the value

SYNOPSIS

#include <util/neo_hdf.h>

NEOERR* hdf_set_buf (HDF *hdf, const char *name, char *value);

ARGUMENTS
hdf -> the hdf dataset node
name -> the name to walk to
value -> the malloc'd value

DESCRIPTION
hdf_set_buf is similar to hdf_set_value, except the dataset takes ownership of the value instead of making a copy of it. The dataset assumes that value was malloc'd, since it will attempt to free it when hdf_destroy is called

RETURN VALUE
None

SEE ALSO
hdf_set_symlink(3), hdf_get_valuef(3), compareFunc)(3), hdf_dump_str(3), hdf_get_int_value(3), hdf_read_string_ignore(3), hdf_copy(3), hdf_get_node(3), hdf_set_value(3), hdf_obj_child(3), hdf_read_string(3), hdf_set_buf(3), hdf_register_fileload(3), hdf_get_obj(3), hdf_get_attr(3), hdf_obj_top(3), hdf_dump_format(3), hdf_destroy(3), hdf_init(3), hdf_obj_value(3), hdf_write_string(3), hdf_set_valuevf(3), hdf_sort_obj(3), hdf_write_file_atomic(3), hdf_obj_attr(3), hdf_set_valuef(3), hdf_get_copy(3), hdf_write_file(3), hdf_get_valuevf(3), hdf_set_int_value(3), hdf_dump(3), hdf_get_value(3), hdf_set_copy(3), hdf_obj_next(3), hdf_search_path(3), hdf_obj_name(3), hdf_set_attr(3), hdf_get_child(3), hdf_remove_tree